com.rscja.deviceapi.interfaces

## Interface IHF15693

- All Known Implementing Classes:
    HF15693

      public interface IHF15693

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `lockAFI()` 锁定AFI(lock AFI)
    `boolean` | `lockDsfid()` 锁定Dsfid(lock Dsfid)
    `byte[]` | `read(HF15693RequestEntity entity, int block)` 读卡(Read card)
    `HF15693RequestEntity` | `request15693()` 寻卡(Search card)
    `boolean` | `write(HF15693RequestEntity entity, int block, byte[] pszData)` 写卡(Write card)
    `boolean` | `writeAFI(HF15693RequestEntity entity, byte afi)` 写入AFI(Write AFi)
    `boolean` | `writeDsfid(HF15693RequestEntity entity, byte dsfid)` 写入Dsfid(Write Dsfid)

- - ### Method Detail

    - #### request15693

          HF15693RequestEntity request15693()

      寻卡(Search card)
      Returns:
        success will return HF15693RequestEntity data, failure will return null.

    - #### read

          byte[] read(HF15693RequestEntity entity,
                      int block)

      读卡(Read card)
      Parameters:
        `entity` - HF15693RequestEntity
        `block` - 数据块0~27 (the cBlock of card, value 0~27 )
      Returns:
        success will return data, failure will return null.

    - #### write

          boolean write(HF15693RequestEntity entity,
                        int block,
                        byte[] pszData)

      写卡(Write card)
      Parameters:
        `entity` - HF15693RequestEntity
        `block` - 数据块0~27 (the cBlock of card, value 0~27 )
        `pszData` - 四个字节的数据(4 bytes Block data)
      Returns:
        true:success false:fail

    - #### writeAFI

          boolean writeAFI(HF15693RequestEntity entity,
                           byte afi)

      写入AFI(Write AFi)
      Parameters:
        `entity` - HF15693RequestEntity
        `afi` - AFI值(AFI value)

    - #### lockAFI

          boolean lockAFI()

      锁定AFI(lock AFI)
      Returns:
        true:success false:fail

    - #### writeDsfid

          boolean writeDsfid(HF15693RequestEntity entity,
                             byte dsfid)

      写入Dsfid(Write Dsfid)
      Parameters:
        `entity` - HF15693RequestEntity
        `dsfid` - Dsfid值(Dsfid value)

    - #### lockDsfid

          boolean lockDsfid()

      锁定Dsfid(lock Dsfid)
      Returns:
        true:success false:fail